Summary: D-Bus Python Bindings
Name:    dbus-python
Version: 1.3.2
Release: 1%{?dist}

License: MIT
URL:     http://www.freedesktop.org/wiki/Software/DBusBindings/
Source0: http://dbus.freedesktop.org/releases/dbus-python/%{name}-%{version}.tar.gz

# https://src.fedoraproject.org/rpms/dbus-python/c/b50904b0e72923a28d609c5baeae3f4f0de3b631
Patch3000: 0001-Move-python-modules-to-architecture-specific-directo.patch

BuildRequires: pkgconfig(dbus-1) dbus-x11 python3-setuptools python3dist(setuptools-scm)
BuildRequires: pkgconfig(glib-2.0) python3-gobject python3-pip python3-wheel
BuildRequires: autoconf-archive automake libtool


%description
DBus-python is the original Python binding for ``dbus``, the reference
implementation of the D-Bus protocol.

%package -n python3-dbus
Summary: D-Bus bindings for python3
BuildRequires: python3-devel, python3dist(setuptools)

%description -n python3-dbus
Providing Python3 interfaces to D-Bus.


%package devel
Summary: Libraries and headers for dbus-python

%description devel
This package provides headers and libraries for developers of D-Bus to use
dbus bindings.

%prep
%autosetup -p1

autoreconf -vif

%build
export DBUS_PYTHON_USE_AUTOTOOLS=1
%set_build_flags
%py3_build
%configure PYTHON="%{__python3}"
%make_build

%install
export DBUS_PYTHON_USE_AUTOTOOLS=1
%py3_install
%make_install

%check
make check -k || (cat test-suite.log && exit 1)

%files -n python3-dbus
%doc NEWS
%license COPYING
%{python3_sitearch}/*.so
%{python3_sitearch}/dbus/
%{python3_sitearch}/dbus_python*egg-info
%exclude %{_datadir}/doc/dbus-python
%exclude %{python3_sitearch}/*.la

%files devel
%doc README ChangeLog doc/API_CHANGES.txt doc/tutorial.txt
%{_includedir}/dbus-1.0/dbus/dbus-python.h
%{_libdir}/pkgconfig/dbus-python.pc

%changelog
* Wed Jan 03 2024 Upgrade Robot <upbot@opencloudos.org> - 1.3.2-1
- Upgrade to version 1.3.2

* Tue Sep 19 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 1.2.18-5
- Rebuilt for python 3.11

* Fri Sep 08 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 1.2.18-4
- Rebuilt for OpenCloudOS Stream 23.09

* Fri Apr 28 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 1.2.18-3
- Rebuilt for OpenCloudOS Stream 23.05

* Fri Mar 31 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 1.2.18-2
- Rebuilt for OpenCloudOS Stream 23

* Mon May 16 2022 cunshunxia <cunshunxia@tencent.com> - 1.2.18-1
- initial build
